summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorjonian2017-08-11 15:23:34 +0300
committerjonian2017-08-11 15:23:34 +0300
commit933cdfff9b9d063a1a045c6ae6d29ffe56fad762 (patch)
treefbe0fdd870ccd6ebb7a92663ecb81e419efc7dd5
downloadaur-933cdfff9b9d063a1a045c6ae6d29ffe56fad762.tar.gz
initial commit
-rw-r--r--.SRCINFO29
-rw-r--r--PKGBUILD38
2 files changed, 67 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e43574ec0d2
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,29 @@
+# Generated by mksrcinfo v8
+# Fri Aug 11 12:23:18 UTC 2017
+pkgbase = kickoff-player-git
+ pkgdesc = Stream football matches and channels with acestream and sopcast
+ pkgver = r133.dbcd76f
+ pkgrel = 1
+ url = https://github.com/jonian/kickoff-player
+ arch = any
+ license = GPL
+ makedepends = git
+ depends = gtk3
+ depends = gstreamer
+ depends = python
+ depends = python-gobject
+ depends = python-psutil
+ depends = python-pexpect
+ depends = python-peewee
+ depends = python-requests
+ depends = python-fuzzywuzzy
+ depends = python-dateutil
+ depends = python-lxml
+ depends = acestream-engine
+ depends = sopcast
+ provides = kickoff-player-git
+ source = kickoff-player-git::git+https://github.com/jonian/kickoff-player
+ md5sums = SKIP
+
+pkgname = kickoff-player-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e887f21abd5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Jonian Guveli <https://github.com/jonian/>
+pkgname=kickoff-player-git
+pkgver=r133.dbcd76f
+pkgrel=1
+pkgdesc="Stream football matches and channels with acestream and sopcast"
+arch=("any")
+url="https://github.com/jonian/kickoff-player"
+license=("GPL")
+depends=("gtk3" "gstreamer" "python" "python-gobject" "python-psutil" "python-pexpect" "python-peewee" "python-requests" "python-fuzzywuzzy" "python-dateutil" "python-lxml" "acestream-engine" "sopcast")
+makedepends=("git")
+provides=("kickoff-player-git")
+source=("$pkgname::git+https://github.com/jonian/kickoff-player")
+md5sums=("SKIP")
+
+pkgver() {
+ cd "$srcdir/$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed "s/\([^-]*-g\)/r\1/;s/-/./g" ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ mkdir -p "$pkgdir/opt"
+ mkdir -p "$pkgdir/usr/bin"
+ mkdir -p "$pkgdir/usr/share/icons/hicolor"
+ mkdir -p "$pkgdir/usr/share/icons/gnome"
+ mkdir -p "$pkgdir/usr/share/applications"
+
+ cp -a "$srcdir/$pkgname" "$pkgdir/opt/$pkgname"
+ cp -a "$srcdir/$pkgname/icons/hicolor/." "$pkgdir/usr/share/icons/hicolor"
+ cp -a "$srcdir/$pkgname/icons/hicolor/." "$pkgdir/usr/share/icons/gnome"
+
+ update-desktop-database "$pkgdir/opt/$pkgname"
+
+ ln -s "/opt/$pkgname/kickoff_player.py" "$pkgdir/usr/bin/kickoff-player"
+ mv "$pkgdir/opt/$pkgname/kickoff-player.desktop" "$pkgdir/usr/share/applications/kickoff-player.desktop"
+}